Skip to content
GET
/v1/warehouses
curl --request GET \
--url https://api.zentail.com/v1/warehouses \
--header 'Authorization: Bearer <token>'

Returns a list of all Warehouses associated with this account. Warehouse IDs should be used when updating inventory using the API.

If the canUpdateInventory field is false you cannot use that warehouse to update inventory through the API. This is normally caused by warehouses that are managed by other inventory integrations, such as FBA or another third party logistics company.

Success

Media typeapplication/json
object
results
Array<object>
object
warehouseId

A unique identifier for this warehouse, should be used when updating inventory through the API.

number
warehouseUniqueId

Unique identifier for the warehouse as recognized by the application.

string
canUpdateInventory

If this is false, you would be unable to modify the inventory in this warehouse using the API. This is usually caused by the warehouse being managed by another service or 3PL.

boolean
name
string
Examplegenerated
{
"results": [
{
"warehouseId": 1,
"warehouseUniqueId": "example",
"canUpdateInventory": true,
"name": "example"
}
]
}

Bad Request

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 400
}

Permission Denied

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 403
}

Not Found

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 404
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{
"errorCode": 500
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 503
}

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog